# Interface ExecuteCommandData<T>

Base interface for the data/arguments for a given command (see CommandMappings).

interface ExecuteCommandData< T > {
ntxId ?: null | string;
resolve : (data: T ) => void;
}

#### Type Parameters

- T

#### Hierarchy (View Summary)

- CommandData
  - ExecuteCommandData

- Defined in src/public/app/components/app_context.ts:65

##### Index

### Properties

ntxId?
resolve

## Properties

### `Optional` ntxId

ntxId?: null | string

Inherited from CommandData.ntxId

- Defined in src/public/app/components/app_context.ts:45

### resolve

resolve: (data: T ) => void

- Defined in src/public/app/components/app_context.ts:66